#!/usr/bin/env python
#Author: Mark Feineigle
#Create Date: 2018/03/09
#Last Modify: 2018/03/09
import numpy as np
import pandas as pd
import sklearn.linear_model as lm
df = pd.read_csv('/home/egg/projects/mastering_machine_learning_python/test_grades.csv') 

print('####### Linear Regression Model ########') 
# Create linear regression object 
lr = lm.LinearRegression() 
x= df.Hours_Studied[:, np.newaxis] # independent variable 
y= df.Test_Grade.values # dependent variable# Train the model using the training sets 
lr.fit(x, y) 
print "Intercept: ", lr.intercept_ 
print "Coefficient: ", lr.coef_ 
print('\n####### Generalized Linear Model ########') 
import statsmodels.api as sm 
# To be able to run GLM, we'll have to add the intercept constant to x variable 
x = sm.add_constant(x, prepend=False) 
# Instantiate a gaussian family model with the default link function. 
model = sm.GLM(y, x, family = sm.families.Gaussian()) 
model = model.fit() 
print model.summary() 
